directory-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Trustin Lee <trus...@gmail.com>
Subject Re: jdk 1.4/1.5 incompatibility problem?
Date Fri, 23 Sep 2005 03:09:15 GMT
Hi Nick,

I've just redeployed ldap-common and apacheds now compiles OK with JDK 1.4.
But I couldn't figure out why 'bad class file' error occurred to you.

Please let me know if the problem didn't go away.

Trustin

2005/9/23, Nick Faiz <nick@atlassian.com>:
>
> I'm seeing the following 'bad class file' problem when I try a
> multiproject:install from apacheds/trunk . I believe it has only
> appeared in the last 24 hours.
>
> Is this a jdk 1.5/jdk 1.4 incompatibility problem? A quick chat with
> Brett in directory-dev on freenode led me to try setting
> maven.compile.target=1.4 in project.properties for ldap-common. It
> didn't remove the problem.
>
> Having googled it does look like it is a 1.5/1.4 compatibility problem
>
> I don't have time to pursue this problem right now but wanted to raise
> it on the list mailer. Perhaps other people will run into it too.
>
> [javac] Compiling 2 source files to
>
> /home/nickf/src/apache/directory/directory/apacheds/trunk/core/target/classes
>
> /home/nickf/src/apache/directory/directory/apacheds/trunk/core/src/main/java/org/apache/ldap/server/schema/SchemaService.java:50:
> cannot access org.apache.ldap.common.util.AttributeUtils
> bad class file:
> /home/nickf/.maven/repository/directory-shared/jars/ldap-
> common-0.9.3-SNAPSHOT.jar
> (org/apache/ldap/common/util/AttributeUtils.class)
> class file has wrong version 49.0, should be 48.0
> Please remove or make sure it appears in the correct subdirectory of the
> classpath.
> import org.apache.ldap.common.util.AttributeUtils;
>
>
>
> Cheers,
> Nick
>



--
what we call human nature is actually human habit
--
http://gleamynode.net/

Mime
View raw message